Subject: Re: NAND access fail after MMU enabled when booting linux

From: Scott Wood <[email-masked]>
Date: Mon, 23 Jun 2008 12:00:28 -0500

Qin, Laigui (GE EntSol, Security) wrote:
> I am facing a MMU related problem when porting Linux to my custom board 
> with Coldfire M5445x processor. The observation is that* the nand Bus 
> chip select/WE/RE become 100 times longer than normal when MMU enabled*. 
> I just can not understand this...

Coldfire is m68k; this list is for powerpc.

> Look into my driver codes, I use the virtual address (0xe0000000) 
> applied from ioremap() kernel function.
> 
> 136         /* map physical address */
> 137         this->IO_ADDR_R = this->IO_ADDR_W = ioremap(0x00000000, 1024);
> 138         if (!this->IO_ADDR_R) {
> 139                 printk(KERN_WARNING "ioremap micron NAND @0x00000000 
> failed\n");

Is it really at address zero, or is that where your RAM is?

-Scott